Bug 987899 - shutdown and start operations of cassandra plugin do not handle pid file
shutdown and start operations of cassandra plugin do not handle pid file
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.9
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-07-24 07:46 EDT by John Sanda
Modified: 2013-09-24 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-07-24 07:46:48 EDT
Description of problem:
The shutdown resource operation of the Casssandra Node resource type does not remove the cassandra.pid file. The operation does however shut down Cassandra. The problem for the RHQ Storage Node is that rhqctl will think it is still running.

The start resource operation does not create the pid file. Subsequent attempts to stop the RHQ Storage Node will fail without the pid file.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2013-07-24 07:50:11 EDT
I have updated the plugin so that the pid file is removed during shutdown and created during the start operation. The change will be available in build 2460 of the rhq-master jenkins job.

master branch commit hash: 68fcc27445e3
Comment 2 Armine Hovsepyan 2013-09-05 10:45:04 EDT
verified
screen-shots here->  http://d.pr/i/ibj6
http://d.pr/i/tbet

Note You need to log in before you can comment on or make changes to this bug.